Class | DOT::DOTEdge
In: | rdoc/dot/dot.rb
Parent: | DOTElement

this is edge

### Methods

new to_s

### Attributes

from | [RW] |
to | [RW] |

### Public Class methods

new( params = {}, option_list = EDGE_OPTS )

[Source]

    # File rdoc/dot/dot.rb, line 237
            def initialize( params = {}, option_list = EDGE_OPTS )
                super( params, option_list )
                @from = params['from'] ? params['from'] : nil
                @to = params['to'] ? params['to'] : nil
            end

### Public Instance methods

to_s( t = '' )

[Source]

    # File rdoc/dot/dot.rb, line 243
            def to_s( t = '' )
                t + "#{@from} -> #{to} [\n" +
                @options.to_a.collect{ |i|
                    i[1] && i[0] != 'label' ?
                        t + $tab + "#{i[0]} = #{i[1]}" :
                        i[1] ? t + $tab + "#{i[0]} = \"#{i[1]}\"" : nil
                }.compact.join( "\n" ) + "\n" + t + "]\n"
            end

[Validate]